Bug 36031 - Get rid of (outdated) misc/bin/set-selinux-labels.sh
Summary: Get rid of (outdated) misc/bin/set-selinux-labels.sh
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: Main
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords: release-notes-needed
Depends on:
Blocks:
 
Reported: 2024-02-08 08:38 UTC by Marcel de Rooy
Modified: 2024-04-05 09:52 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36031: Remove obsoleted script (4.61 KB, patch)
2024-02-08 08:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 36031: Remove obsoleted script (4.83 KB, patch)
2024-04-01 16:57 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2024-02-08 08:38:54 UTC
This script is probably not used. And it is outdated anyway. I propose to remove it.
Comment 1 Marcel de Rooy 2024-02-08 08:43:14 UTC
Created attachment 161877 [details] [review]
Bug 36031: Remove obsoleted script

Since it is not up to date, we should remove it.

No test plan here.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2024-02-08 08:43:55 UTC
Moving to SO.
Comment 3 Julian Maurice 2024-02-23 11:18:57 UTC
Can you add in the commit message a small explanation about what makes the script outdated ? It might by obvious to SELinux users, but not to me :)
Comment 4 Marcel de Rooy 2024-02-27 12:34:48 UTC
(In reply to Julian Maurice from comment #3)
> Can you add in the commit message a small explanation about what makes the
> script outdated ? It might by obvious to SELinux users, but not to me :)

Hi,
The folder structure changed. And as I did not follow SELinux in recent years either, this also needs digging into SELinux to update that side as well.
In other words, remove this until someone finds time do it. But dont let it here in its current outdated state.
Comment 5 Nick Clemens 2024-04-01 16:57:54 UTC
Created attachment 164213 [details] [review]
Bug 36031: Remove obsoleted script

Since it is not up to date, we should remove it.
The folder structure changed and this would need digging into SELinux to update that side as well.
In other words, remove this until someone finds time do it. But dont let it here in its current outdated state.

No test plan here.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Katrin Fischer 2024-04-05 09:52:34 UTC
Pushed for 24.05!

Well done everyone, thank you!